Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1409684 - No sscg on ppc64
Summary: No sscg on ppc64
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sscg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 01:16 UTC by Jason Tibbitts
Modified: 2017-02-17 17:13 UTC (History)
1 user (show)

Fixed In Version: sscg-2.0.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-17 16:56:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Jason Tibbitts 2017-01-03 01:16:35 UTC
So I followed the packaging guidelines and converted cyrus-imapd to use sscg.  But this now means that I can't build it on ppc64, or indeed anywhere that go isn't available.

We talked about this a while back and I thought you decided that perhaps it would be better to either move back to python, or to bring the python version back for non-go-supporting architectures.  Doesn't look like either of those have happened, so I figured I'd file a ticket so this doesn't get lost.

Comment 1 Stephen Gallagher 2017-01-03 13:08:40 UTC
Thanks for the BZ. Yes, you are correct; I intend to switch it back to running in a language that will be available on all architectures. I haven't had the opportunity to do so yet.

Comment 2 Jason Tibbitts 2017-01-03 17:24:04 UTC
Anything I can do to help?

Comment 3 Stephen Gallagher 2017-01-03 18:45:32 UTC
(In reply to Jason Tibbitts from comment #2)
> Anything I can do to help?

I'm working on a rewrite in C, using the OpenSSL API directly. I'm making it exactly argument-compatible with the previous versions, so it will be a drop-in once it's done.

I'm hoping to have it done in a day or two, but if it ends up being more painful than I expect, I'll update this BZ.

Comment 4 Jason Tibbitts 2017-02-13 17:18:47 UTC
I know you must be super busy and haven't managed to get to this.  Would it perhaps be better for me to roll back the guidelines page to not mention sscg, or to include a big disclaimer that use of sscg is only appropriate when the package isn't built on ppc?  Perhaps we could just that people call openssl directly and provide them with the commands.

Comment 5 Stephen Gallagher 2017-02-16 21:58:34 UTC
I now have a release candidate build available as a scratch-build:
https://kojipkgs.fedoraproject.org//work/tasks/3230/17903230/sscg-2.0.0-1.rc1.fc26.src.rpm which supports all arches (including PPC64) or in my COPR at https://copr.fedorainfracloud.org/coprs/sgallagh/sscg/ which supports i686, x86_64 and ppc64le.

I don't want to push this to Rawhide without real testing, so I'd appreciate it if anyone on this BZ that is interested would please pull the new package and provide feedback here.

Comment 6 Stephen Gallagher 2017-02-17 16:56:32 UTC
I got some more testing as well as some input from x509 experts, so I'm pushing this to Rawhide today. It builds successfully on all architectures.

Comment 7 Jason Tibbitts 2017-02-17 17:13:50 UTC
Awesome, thanks.  Sadly I don't really know enough about certificates to even be dangerous.


Note You need to log in before you can comment on or make changes to this bug.